'use client';

import { useTranslations } from 'next-intl';
import { useParams } from 'next/navigation';
import { getQuickLinks } from '@/assets/constants/footerMenu/quickLinks.const';

import { getWhoAreWeLinks } from './whoAreWe.const';
import { TLocales } from '@/models/layout';

export default function FooterMenu() {
  const t = useTranslations();
  const { locale } = useParams();
  const quickLinks = getQuickLinks(t, locale as TLocales);
  const whoAreWeLinks = getWhoAreWeLinks(t, locale as TLocales);
  return {
    quickLinks,
    whoAreWeLinks,
  };
}
